# DescribeDomainOriginPathRewrite

## 1. API Description

This interface is used to query the origin path rewrite policy of an accelerated domain name.

## 2. Request Parameters

The following request parameter list includes only the necessary parameters for the interface

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain Id |

## 3. Output Parameters

| Parameter Name | Type                                                                                                                             | Description                                                                                 |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                                           | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| rewrites       | Array of [OriginPathRewriteInfo](https://docs.console.zenlayer.com/api-reference/networking/datastructure#originpathrewriteinfo) | origin path rewrite information                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the origin path rewrite policy of the accelerated domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainOriginPathRewrite
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}


Response:
{
    "requestId": "T9815E439-148F-4D91-AB74-A6CE5D16EE22",
    "response": {
        "requestId": "T9815E439-148F-4D91-AB74-A6CE5D16EE22",
        "rewrites": [{
            "sourcePath": "^(.*)$",
            "targetPath": "/test$1",
            "sort":1
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
